Skip to main content
PATCH
Update webhook config

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

Body

application/json
url
string

New endpoint URL

Example:

"https://customer.example.com/webhook-v2"

events
string[]

Updated event subscriptions, or ["AllEvents"] to subscribe to all supported event types including ones introduced in the future

Example:

Response

OK

id
string<uuid>

Unique identifier

accountId
string

Account identifier

applicationId
string

Application identifier

url
string

Endpoint URL

secret
string

Signing secret, returned only once in the create response; store it securely

subscribedEvents
string[]

Subscribed event types, or ["AllEvents"] when subscribed to all

createdAt
string<date-time>

Creation timestamp

updatedAt
string<date-time>

Last update timestamp